#define _CRT_SECURE_NO_WARNINGS

#include <malloc.h>
#include <string.h>

#include "object.h"
#include "stringcache.h"
#include "Attribute.h"
#include "AttributeCache.h"
#include "LandscapeObject.h"

CLandscapeObject::CLandscapeObject() 
{
	m_parentClassP = 0;				
	m_attributesP  = 0;
}
	
CLandscapeClassObject *
CLandscapeObject::getParentClass() const
{
	return m_parentClassP;
}

void 
CLandscapeObject::setParentClass(CLandscapeClassObject *parentClassP)
{
	m_parentClassP = parentClassP;
}	

void 
CLandscapeObject::putAttribute(const char *idP, const char *valueP) 
{
	CAttribute		*attributeP;
	attributeListT	*entryP;

	attributeP         = attributeCache(idP, valueP);
	entryP             = getAttributeListEntry();
	entryP->attributeP = attributeP;
	entryP->nextP      = m_attributesP;
	m_attributesP      = entryP;
}

const char *
CLandscapeObject::getAttribute(const char *idP)
{
	attributeListT	*entryP;
	CAttribute		*attributeP;

	for (entryP = m_attributesP; entryP; entryP = entryP->nextP) {
		attributeP = entryP->attributeP;
		if (!strcmp(attributeP->m_idP, idP)) {
			return(attributeP->m_aviP);
	}	}
	return(0);
}





